/**
*
* egToolTip Class
*/
function egToolTip(id, label, width, height) {
	 this.id = 'egToolTip_'+id;
	 this.x = 0;
	 this.y = 0;
	 this.width = 0;
	 this.height = 0;

	 this.getHeight = egWindow_getHeight;
	 this.getWidth  = egWindow_getWidth;

	 this.show = egWindow_show;
	 this.hide = egWindow_hide;
	 this.moveTo = egWindow_moveTo;
	 this.displayAt = egWindow_displayAt;

	 divRoot = document.getElementById('easy-GUI_mainLayer');

	 divRoot.innerHTML += '<div id="'+this.id+'" class="egToolTip">'+label+'</div>';
	 this.shadow = new egShadow(this.id);

	 div = document.getElementById(this.id);
	 div.style.width  = (label.length * 8)+'px';
	 /*div.style.width  = width+'px';*/
}